%define upstream_name    XML-Grammar-Fiction
%define upstream_version 0.32.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Line iterator base
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late) >= 0.10.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::XML::Ordered)
BuildRequires: perl(XML::GrammarBase::Role::RelaxNG)
BuildRequires: perl(XML::GrammarBase::Role::XSLT)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXSLT)
BuildRequires: perl(XML::Writer)
BuildRequires: perl(autodie)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
XML::Grammar::Fiction is a CPAN distribution that facilitates writing prose
fiction (= stories, novels, novellas, etc.). What it does is:

* 1. Converting a well-formed plain text format to a specialized XML
  format.

* 2. Converting the XML to DocBook/XML or directly to HTML for rendering.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/screenplay-text--list-images
%{_bindir}/screenplay-text-to-screenplay-xml
%{_bindir}/screenplay-text-to-xhtml5
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.32.0-2.mga10
+ Revision: 2234703
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 0.32.0-1.mga10
+ Revision: 2141968
- update to 0.32.0

* Fri Apr 08 2022 tv <tv> 0.30.0-1.mga9
+ Revision: 1848080
- update to 0.30.0

* Mon Mar 28 2022 tv <tv> 0.28.1-1.mga9
+ Revision: 1829854
- update to 0.28.1

* Fri Mar 18 2022 tv <tv> 0.28.0-1.mga9
+ Revision: 1798302
- update to 0.28.0

* Wed Feb 16 2022 tv <tv> 0.26.3-1.mga9
+ Revision: 1777639
- update to 0.26.3

* Sat Feb 12 2022 tv <tv> 0.26.2-1.mga9
+ Revision: 1773273
- update to 0.26.2

* Fri Aug 27 2021 tv <tv> 0.26.1-1.mga9
+ Revision: 1742690
- update to 0.26.1

* Mon Aug 02 2021 tv <tv> 0.24.0-1.mga9
+ Revision: 1738553
- update to 0.24.0

* Sat Jul 17 2021 tv <tv> 0.22.7-1.mga9
+ Revision: 1736473
- update to 0.22.7

* Wed Jul 07 2021 tv <tv> 0.22.6-1.mga9
+ Revision: 1735075
- update to 0.22.6

* Tue Jun 29 2021 tv <tv> 0.22.5-1.mga9
+ Revision: 1734269
- update to 0.22.5

* Wed Apr 28 2021 tv <tv> 0.22.4-1.mga9
+ Revision: 1720253
- update to 0.22.4

* Mon Apr 19 2021 tv <tv> 0.22.2-1.mga9
+ Revision: 1716916
- update to 0.22.2

* Tue Mar 09 2021 tv <tv> 0.22.1-1.mga9
+ Revision: 1700809
- update to 0.22.1

* Fri Feb 26 2021 tv <tv> 0.22.0-1.mga9
+ Revision: 1692144
- update to 0.22.0

* Sun Nov 15 2020 tv <tv> 0.20.1-1.mga8
+ Revision: 1646336
- update to 0.20.1

* Sat Nov 14 2020 shlomif <shlomif> 0.20.0-1.mga8
+ Revision: 1645226
- New version 0.20.0
- New version 0.20.0

* Wed Oct 21 2020 tv <tv> 0.18.4-1.mga8
+ Revision: 1637471
- update to 0.18.4

* Thu Feb 20 2020 umeabot <umeabot> 0.18.3-2.mga8
+ Revision: 1545622
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.18.3-1.mga8
+ Revision: 1484985
- update to 0.18.3

* Thu Dec 05 2019 shlomif <shlomif> 0.18.2-1.mga8
+ Revision: 1464701
- New version 0.18.2

* Tue Dec 03 2019 tv <tv> 0.18.1-1.mga8
+ Revision: 1464124
- update to 0.18.1

* Wed Oct 17 2018 shlomif <shlomif> 0.16.0-1.mga7
+ Revision: 1321486
- update to v0.16.0

* Fri Sep 28 2018 shlomif <shlomif> 0.15.0-1.mga7
+ Revision: 1310133
- New version 0.15.0

* Thu Sep 20 2018 umeabot <umeabot> 0.14.12-3.mga7
+ Revision: 1287306
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.14.12-2.mga7
+ Revision: 1167457
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.14.12-1.mga7
+ Revision: 1157104
- new version 0.14.12

* Sun Jun 19 2016 pterjan <pterjan> 0.14.11-3.mga6
+ Revision: 1036019
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.14.11-2.mga6
+ Revision: 965852
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.14.11-1.mga6
+ Revision: 838597
- update to 0.14.11

* Wed Oct 15 2014 umeabot <umeabot> 0.14.10-3.mga5
+ Revision: 740048
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 0.14.10-1.mga5
+ Revision: 665413
- update to 0.14.10

* Thu Aug 07 2014 sander85 <sander85> 0.14.9-1.mga5
+ Revision: 660522
- update to 0.14.9

* Tue Feb 04 2014 shlomif <shlomif> 0.14.8-1.mga5
+ Revision: 581396
- New version 0.14.8 arcs
- New version 0.14.8

* Sat Oct 19 2013 umeabot <umeabot> 0.14.7-2.mga4
+ Revision: 530043
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.14.7-1.mga4
+ Revision: 454748
- update to 0.14.7

* Wed May 29 2013 shlomif <shlomif> 0.14.6-1.mga4
+ Revision: 432750
- Add BRs
- Add BRs
- Update sha1
- New version 0.14.6

* Sun Jan 13 2013 umeabot <umeabot> 0.9.3-2.mga3
+ Revision: 375047
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 shlomif <shlomif> 0.9.3-1.mga3
+ Revision: 279447
- New version 0.9.3

* Sat Jul 28 2012 shlomif <shlomif> 0.9.2-1.mga3
+ Revision: 275523
- New version 0.9.2

* Tue Jul 03 2012 shlomif <shlomif> 0.8.1-1.mga3
+ Revision: 267073
- update to v0.8.1

* Mon Dec 19 2011 shlomif <shlomif> 0.8.0-1.mga2
+ Revision: 184358
- imported package perl-XML-Grammar-Fiction


* Mon Dec 19 2011 cpan2dist v0.8.0-1mga
- initial mageia release, generated with cpan2dist
